Integrate DICOM2NRRD Command-Line-Tool in MITK
Closed, ResolvedPublic

Description

Create a MITK Command-Line-Tool to import Dicom and convert it to Nrrd.

goetzm created this task.Apr 7 2017, 9:30 AM
floca added a subscriber: floca.Apr 8 2017, 9:18 AM

Created a BasicImageProcessing Module that contains Basic Imaging MiniApps.
Moved Dicom2Nrrd into this module from Diffusion as it is not diffusion-specific.

goch added a subscriber: goch.May 5 2017, 5:57 PM

You might want to include the updates done to the conversion tool in T22801: Update DicomToNRRD cmdApp to new reader system

goetzm closed this task as Resolved.Apr 24 2018, 10:07 AM

Added a Basic Image Processing Module that contains some MiniApps that are of common interest.

Also a FileConverter App which can be used to load any file supported by mitk and save it into any other supported file type. This is basically the functionality usually required by the MITK DICOM Reader.

goetzm reopened this task as Open.Apr 24 2018, 10:38 AM

Dashboard fixes...

goetzm closed this task as Resolved.Apr 24 2018, 2:27 PM

Dashboard is fixed.

@kislinsk : I would propose that we merge it also as a feature into the alpha. What do you think?

@kislinsk : I would propose that we merge it also as a feature into the alpha. What do you think?

Yep! I'll cherry-pick the commits...